body{
    background-color: #23282B;
    overflow: hidden;
    height: 800px;
    position: relative;
}

.pacman::before,
.pacman::after {
    content: "";
    width: 100px;
    height: 50px;
    background-color: yellow;
    border-radius: 50px 50px 0 0;
    position: absolute;
    top: 50%;
    left: 23%;
    animation-name: up;
    animation-duration: 0.5s;
    animation-iteration-count: infinite;
    margin: -50px 0 0 -50px;
    z-index: 1;
}

.pacman::after{
    content: "";
    border-radius: 0 0 50px 50px;
    animation-name: down;
    animation-duration: 0.5s;
    animation-iteration-count: infinite ;
    margin-top: -1px;
}

@keyframes up{
    0%,100%{
        transform: rotate(0);
    }
    50%{
        transform:rotate(-35deg)
    }
}

@keyframes down{
    0%,100%{
        transform: rotate(0);
    }
    50%{
        transform:rotate(35deg)
    } 
}

.circle1, .circle2, .circle3, .circle4, .circle5, .circle6, .circle7, .circle8{
    width: 20px;
    height: 20px;
    background-color: white;
    border-radius: 50%;
    position: absolute;
    top: 48.7%;
    animation-name: eat;
    animation-duration: 0.5s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
} 

@keyframes eat{
    20%, 80%{
        opacity: 10; 
    }

    100%{
        transform: translate(-100px, 0);
    }
}     


.circle1 {
    left: 30%;  
}
.circle2 {
 left: 37%;
}
.circle3 {
    left: 44%;
}
.circle4 {
    left: 51%;
}
.circle5 {
    left: 58%;
}
.circle6 {
    left: 65%;
}
.circle7 {
    left: 72%;
}
.circle8 {
    left: 79%;
}